package it.uniroma2.art.owlart.sesame2impl.models.conf;

import it.uniroma2.art.owlart.models.conf.ModelConfigurationParameter;
import it.uniroma2.art.owlart.models.conf.PersistenceModelConfiguration;
import it.uniroma2.art.owlart.models.conf.RemoteModelConfigurationImpl;
import it.uniroma2.art.owlart.models.conf.RequiredConfigurationParameter;

public class Sesame2RemoteModelConfiguration extends RemoteModelConfigurationImpl implements
		Sesame2ModelConfiguration, PersistenceModelConfiguration {

	@ModelConfigurationParameter(description = "id of the sesame2 repository to be accessed")
	@RequiredConfigurationParameter
	public String repositoryId;
	
	public Sesame2RemoteModelConfiguration() {
		super();
	}

	public String getShortName() {
		return "remote access";
	}

	public boolean isPersistent() {
		return true;
	}
}
